Skip to main content
POST
/
v1
/
workflows
/
{workflow_id}
/
action_item_form_field_conditions
Creates a workflow action item form field condition
curl --request POST \
  --url https://api.rootly.com/v1/workflows/{workflow_id}/action_item_form_field_conditions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "workflow_action_item_form_field_conditions",
    "attributes": {
      "form_field_id": "<string>",
      "action_item_condition": "ANY",
      "values": [
        "<string>"
      ],
      "selected_catalog_entity_ids": [
        "<string>"
      ],
      "selected_functionality_ids": [
        "<string>"
      ],
      "selected_group_ids": [
        "<string>"
      ],
      "selected_option_ids": [
        "<string>"
      ],
      "selected_service_ids": [
        "<string>"
      ],
      "selected_user_ids": [
        123
      ],
      "selected_cause_ids": [
        "<string>"
      ],
      "selected_environment_ids": [
        "<string>"
      ],
      "selected_incident_type_ids": [
        "<string>"
      ]
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/workflows/{workflow_id}/action_item_form_field_conditions"

payload = { "data": {
"type": "workflow_action_item_form_field_conditions",
"attributes": {
"form_field_id": "<string>",
"action_item_condition": "ANY",
"values": ["<string>"],
"selected_catalog_entity_ids": ["<string>"],
"selected_functionality_ids": ["<string>"],
"selected_group_ids": ["<string>"],
"selected_option_ids": ["<string>"],
"selected_service_ids": ["<string>"],
"selected_user_ids": [123],
"selected_cause_ids": ["<string>"],
"selected_environment_ids": ["<string>"],
"selected_incident_type_ids": ["<string>"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'workflow_action_item_form_field_conditions',
attributes: {
form_field_id: '<string>',
action_item_condition: 'ANY',
values: ['<string>'],
selected_catalog_entity_ids: ['<string>'],
selected_functionality_ids: ['<string>'],
selected_group_ids: ['<string>'],
selected_option_ids: ['<string>'],
selected_service_ids: ['<string>'],
selected_user_ids: [123],
selected_cause_ids: ['<string>'],
selected_environment_ids: ['<string>'],
selected_incident_type_ids: ['<string>']
}
}
})
};

fetch('https://api.rootly.com/v1/workflows/{workflow_id}/action_item_form_field_conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "workflow_action_item_form_field_conditions",
    "attributes": {
      "workflow_id": "<string>",
      "form_field_id": "<string>",
      "action_item_condition": "ANY",
      "selected_catalog_entity_ids": [
        "<string>"
      ],
      "selected_option_ids": [
        "<string>"
      ],
      "selected_user_ids": [
        123
      ],
      "values": [
        "<string>"
      ],
      "selected_functionality_ids": [
        "<string>"
      ],
      "selected_group_ids": [
        "<string>"
      ],
      "selected_service_ids": [
        "<string>"
      ],
      "selected_cause_ids": [
        "<string>"
      ],
      "selected_environment_ids": [
        "<string>"
      ],
      "selected_incident_type_ids": [
        "<string>"
      ]
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string
required

Body

application/vnd.api+json
data
object
required

Response

workflow_action_item_form_field_condition created

data
object
required
included
object[]